Bug 54489

Summary: WebURLRequest, WebURLResponse properties should be passed to WebCore Layer
Product: WebKit Reporter: Bill Budge <bbudge>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, ap, commit-queue, dglazkov, eric, levin, mnaganov, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 54554    
Bug Blocks: 53925    
Attachments:
Description Flags
Proposed Patch
levin: review-
Proposed Patch
none
Proposed Patch
none
Proposed Patch
none
Proposed Patch none

Description Bill Budge 2011-02-15 12:38:51 PST
WebURLRequest::downloadToFile, setDownloadToFile methods should delegate to ResourceRequest methods.
WebURLResponse::downloadFilePath, setDownloadFilePath methods should delegate to ResourceResponse methods.
This will allow these property values to pass between WebKit and WebCore layers, allowing us to use DocumentThreadableLoader to implement AssociatedURLLoader.
Comment 1 Bill Budge 2011-02-15 14:19:23 PST
Created attachment 82519 [details]
Proposed Patch

This patch is another step to re-implementing AssociatedURLLoader in terms of DocumentThreadableLoader.
Comment 2 WebKit Review Bot 2011-02-15 14:30:24 PST
Attachment 82519 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7917067
Comment 3 David Levin 2011-02-15 14:34:52 PST
Comment on attachment 82519 [details]
Proposed Patch

Seems fine except for the compile issue.
Comment 4 David Levin 2011-02-15 14:37:43 PST
Also the bug title seems incorrect: "WebCore layer Layer "
Comment 5 Bill Budge 2011-02-15 14:53:13 PST
Created attachment 82526 [details]
Proposed Patch

You can tell I'm not building on the Mac : )
Comment 6 David Levin 2011-02-15 14:57:15 PST
Even if this builds, the title (and corresponding changelog) is still ugly :S

"WebCore layer Layer "
Comment 7 WebKit Review Bot 2011-02-15 15:09:16 PST
Attachment 82526 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7873063
Comment 8 Bill Budge 2011-02-15 15:41:51 PST
Created attachment 82537 [details]
Proposed Patch
Comment 9 Bill Budge 2011-02-15 17:53:30 PST
Created attachment 82563 [details]
Proposed Patch
Comment 10 WebKit Commit Bot 2011-02-15 20:51:22 PST
Comment on attachment 82563 [details]
Proposed Patch

Clearing flags on attachment: 82563

Committed r78678: <http://trac.webkit.org/changeset/78678>
Comment 11 WebKit Commit Bot 2011-02-15 20:51:26 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Mikhail Naganov 2011-02-16 07:43:39 PST
Reopening bug.
Comment 13 Bill Budge 2011-02-25 14:26:10 PST
Created attachment 83875 [details]
Proposed Patch

I think I was converting the WebString to a wtf::String incorrectly. Changed to use 'utf8().data()' instead of 'data()'.
Comment 14 WebKit Commit Bot 2011-02-26 06:23:37 PST
The commit-queue encountered the following flaky tests while processing attachment 83875 [details]:

animations/suspend-resume-animation.html bug 48161 (author: cmarrin@apple.com)
The commit-queue is continuing to process your patch.
Comment 15 WebKit Commit Bot 2011-02-26 06:26:25 PST
Comment on attachment 83875 [details]
Proposed Patch

Clearing flags on attachment: 83875

Committed r79782: <http://trac.webkit.org/changeset/79782>
Comment 16 WebKit Commit Bot 2011-02-26 06:26:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 17 WebKit Review Bot 2011-02-27 09:01:32 PST
http://trac.webkit.org/changeset/79782 might have broken GTK Linux 32-bit Debug